---
apiVersion: discovery.k8s.io/v1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.46.248.42
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: openshift-kube-scheduler-cnvqe-071.lab.eng.tlv2.redhat.com
      namespace: openshift-kube-scheduler
      uid: 8ea9d10c-ed70-4182-9ff2-19d4f0c2ddfc
  - addresses:
    - 10.46.248.134
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: openshift-kube-scheduler-cnvqe-072.lab.eng.tlv2.redhat.com
      namespace: openshift-kube-scheduler
      uid: 64f14a36-0674-4e25-8a17-5e2aac94e543
  - addresses:
    - 10.46.248.41
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: openshift-kube-scheduler-cnvqe-070.lab.eng.tlv2.redhat.com
      namespace: openshift-kube-scheduler
      uid: 277087b7-b030-419a-a1a3-b9a1d9fc4f59
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:38:04Z"
    creationTimestamp: "2025-10-27T11:31:06Z"
    generateName: scheduler-
    generation: 29
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: scheduler
      prometheus: kube-scheduler
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
            f:prometheus: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"b37364f3-518a-405c-9d95-7e9b94134a96"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:38:04Z"
    name: scheduler-vszn8
    namespace: openshift-kube-scheduler
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: scheduler
      uid: b37364f3-518a-405c-9d95-7e9b94134a96
    resourceVersion: "49450"
    uid: bd36e2a3-6254-487a-939c-6dee72c2ad60
  ports:
  - name: https
    port: 10259
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "2220240"
